<?php

/**
 * Testing DOS attacks.
 *
 * The environment variable CMSIMPLEDIR has to be set to the installation folder
 * (e.g. / or /cmsimple_xh/).
 *
 * PHP version 5
 *
 * @category  Testing
 * @package   XH
 * @author    The CMSimple_XH developers <devs@cmsimple-xh.org>
 * @copyright 2013 The CMSimple_XH developers <http://cmsimple-xh.org/?The_Team>
 * @license   http://www.gnu.org/licenses/gpl-3.0.en.html GNU GPLv3
 * @version   SVN: $Id: DOSAttackTest.php 781 2013-07-19 13:05:32Z cmb69 $
 * @link      http://cmsimple-xh.org/
 */

/**
 * A test case to check DOS attack prevention.
 *
 * @category Testing
 * @package  XH
 * @author   The CMSimple_XH developers <devs@cmsimple-xh.org>
 * @license  http://www.gnu.org/licenses/gpl-3.0.en.html GNU GPLv3
 * @link     http://cmsimple-xh.org/
 * @since    1.6
 */
class DOSAttackTest extends PHPUnit_Framework_TestCase
{
    public function testAttack()
    {
        $expected = 404;
        $url = 'http://localhost' . getenv('CMSIMPLEDIR') . '?i';
        $curlHandle = curl_init($url);
        curl_setopt($curlHandle, CURLOPT_RETURNTRANSFER, true);
        curl_exec($curlHandle);
        $actual = curl_getinfo($curlHandle, CURLINFO_HTTP_CODE);
        curl_close($curlHandle);
        $this->assertEquals($expected, $actual);
    }
}

?>
